Subject: Re: [PATCH/RFC] gitk: refresh index before checking for local changes

From: A Large Angry SCM <[email-masked]>
Date: Tue, 06 Apr 2010 22:21:55 -0400

Jonathan Nieder wrote:
> Most git porcelain silently refreshes stat-dirty index entries.  Teach
> gitk to, too; this will make the behavior easier to understand when a
> person makes a change to a file and then changes mind and restores the
> old version in her editor of choice.
> 
> This patch does not change the ‘checkout’ code path, since it is
> assumed that the index is already being cleaned in that case.
> 
> Testing is needed to check if this breaks operation with read-only
> access to a repository.
> 

NAK - gitk should not modify a repository and/or working dir unless 
_explicitly_ prompted to by the user.

If you want a new _non-default_ option setting for gitk, that fine also.